<!DOCTYPE html>
<html lang="fr">
    <head>
        <meta charset="UTF-8">
        <title>Exercice 4</title>

        <style>

            body {
                background-color: #222;
            }

            .logo {
                display: flex;
                justify-content: center;
                align-items: center;
                flex-wrap: wrap;
            }

            .form1 {
                width: 50%;
                max-width: 500px;
                height: auto;
                padding: 100px 0 30px 0;
                margin-left: 25%;
                margin-right: 25%;
            }

            h2 {
                font-family: "montserrat", sans-serif;
                font-size: 40px;
                color: white;
                width: 100%;
                text-align: center;
            }

            #Texte {
                opacity: 0;
                animation: 3s text-animation 1 forwards;


            }

            @keyframes text-animation {
                from { opacity:0; }
                to { opacity:1; }
            }

            #Courbe_1_ {
                stroke-dasharray: 1000;
                stroke-dashoffset: 1000;
                animation: dash 5s forwards;
                animation-delay: 1s;

            }

            @keyframes dash {
               0% {
                   stroke-dashoffset: 1000;
               }
               100% {
                   stroke-dashoffset: 0;
               }
            }

            #Pompe, #Goutte {
                opacity: 0;
                animation: 0.5s text-animation 1 forwards;
                animation-delay: 2s;
            }

            @keyframes pompe-animation {
                from { opacity:0; }
                to { opacity:1; }
            }

            #Goutte {
                animation: 0.5s goutte-animation 1 forwards;
                animation-delay: 2s;
            }

            @keyframes goutte-animation {
                from { transform:translateY:-500px; }
                to { transform:translateY:0px; }
            }

        </style>

    </head>

    <body>

        <div class="logo">
            <div class="form1">
                <svg  version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
             viewBox="0 0 159.4 58.5" style="enable-background:new 0 0 159.4 58.5;" xml:space="preserve">
                    <style type="text/css">
                        .st0{fill:#FFFFFF;}
                        .st1{fill:none;stroke:url(#Courbe_2_);stroke-width:2;stroke-linecap:round;stroke-linejoin:round;}
                        .st2{fill:#EA5552;stroke:#EA5552;stroke-miterlimit:10;}
                        .st3{fill:#F9BA73;stroke:#F9BA73;stroke-linejoin:round;}
                    </style>
                    <g id="Texte">
                        <title>Logo-color&amp;amp;white</title>
                        <path id="e" class="st0" d="M155,38.9c0.9,0.5,1.6,1.1,2.1,2c0.5,0.9,0.7,1.8,0.7,2.8c0,0.4,0,0.9-0.1,1.3c-0.1,0.5-0.2,1-0.4,1.4
                            h-12.5c-0.1,0.6-0.1,1-0.1,1.2c-0.1,1.3,0.4,2.5,1.3,3.3c0.9,0.8,2.1,1.2,3.2,1.1c1.3,0,2.5-0.3,3.6-1c1-0.7,1.8-1.6,2.2-2.8h2
                            c-0.6,1.6-1.6,3-3,3.9c-1.5,1-3.2,1.5-5,1.5c-1.7,0.1-3.3-0.5-4.5-1.6c-1.2-1.2-1.8-2.8-1.7-4.4c0-0.6,0.1-1.2,0.2-1.8
                            c0.2-1.5,0.8-2.9,1.7-4.1c0.8-1.1,1.9-2,3.1-2.7c1.2-0.6,2.6-0.9,4-0.9C152.8,38.2,154,38.4,155,38.9z M155.8,43.8
                            c0.1-1.1-0.4-2.3-1.3-3c-0.9-0.7-2-1-3.2-1c-1.5,0-2.9,0.5-4.1,1.4c-1.3,1.1-2.1,2.6-2.4,4.2h10.7
                            C155.8,44.9,155.8,44.4,155.8,43.8L155.8,43.8z"/>
                        <path id="m" class="st0" d="M138.6,39.3c0.9,1,1.4,2.3,1.3,3.6c0,0.6-0.1,1.2-0.2,1.8l-1.6,8.8h-1.9l1.5-8.7
                            c0.1-0.5,0.1-0.9,0.1-1.4c0.1-1-0.3-2-1-2.7c-0.7-0.7-1.7-1-2.7-0.9c-1.4,0-2.7,0.5-3.7,1.4c-1.1,1.1-1.8,2.6-2,4.2l-1.4,8h-1.9
                            l1.5-8.7c0.1-0.4,0.1-0.9,0.1-1.4c0.1-1-0.3-2-1-2.7c-0.7-0.7-1.7-1-2.7-0.9c-1.4,0-2.7,0.5-3.7,1.4c-1.1,1.2-1.8,2.6-2,4.2l-1.4,8
                            h-2l2.7-15.1h1.9l-0.6,3.7c0.5-1.2,1.4-2.3,2.5-3c1.1-0.7,2.3-1,3.6-1c1.2-0.1,2.3,0.3,3.3,1c0.9,0.8,1.4,1.9,1.5,3.1
                            c0.6-1.2,1.5-2.3,2.7-3c1.1-0.7,2.4-1.1,3.6-1.1C136.4,38,137.6,38.5,138.6,39.3z"/>
                        <path id="i4" class="st0" d="M112.4,38.4l-2.7,15.1h-2l2.7-15.1H112.4z M111.3,33c0.3-0.3,0.8-0.4,1.2-0.4c0.3,0,0.6,0.1,0.9,0.3
                            c0.2,0.2,0.3,0.5,0.3,0.8c0,0.4-0.2,0.8-0.5,1.1c-0.3,0.3-0.7,0.5-1.2,0.5c-0.3,0-0.6-0.1-0.9-0.3c-0.2-0.2-0.3-0.5-0.3-0.8
                            C110.8,33.7,111,33.3,111.3,33z"/>
                        <path id="T" class="st0" d="M108.3,34l-0.3,1.6h-5.6l-3.2,17.9h-1.9l3.2-17.9H95l0.2-1.6H108.3z"/>
                        <path id="n" class="st0" d="M82.9,39.3c0.9,1,1.4,2.3,1.3,3.7c0,0.6-0.1,1.1-0.2,1.7l-1.6,8.8h-1.9l1.5-8.7
                            c0.1-0.4,0.1-0.9,0.1-1.4c0.1-1-0.3-2-1-2.8c-0.8-0.7-1.8-1-2.9-1c-1.4,0-2.8,0.5-3.9,1.5c-1.2,1.1-1.9,2.7-2.1,4.3L71,53.5h-2
                            l2.7-15.1h1.9L73,42.1c0.6-1.2,1.5-2.3,2.6-3c1.1-0.7,2.4-1,3.7-1C80.6,38,81.9,38.5,82.9,39.3z"/>
                        <path id="i3" class="st0" d="M67.4,38.4l-2.7,15.1h-2l2.7-15.1H67.4z M66.3,33c0.3-0.3,0.8-0.4,1.2-0.4c0.3,0,0.6,0.1,0.9,0.3
                            c0.2,0.2,0.3,0.5,0.3,0.8c0,0.4-0.2,0.8-0.5,1.1c-0.3,0.3-0.8,0.5-1.2,0.5c-0.3,0-0.6-0.1-0.9-0.3c-0.2-0.2-0.3-0.5-0.3-0.8
                            C65.8,33.7,66,33.3,66.3,33z"/>
                        <path id="_x27_" class="st0" d="M61.2,34.4c-0.3,1.9-1.4,2.8-3,2.8l0.2-1c0.4,0,0.7-0.1,1-0.4c0.3-0.3,0.4-0.7,0.5-1.1l0.1-0.7
                            h-1.3l0.4-2.1h2.2C61.3,32.8,61.3,33.6,61.2,34.4z"/>
                        <path id="l2" class="st0" d="M57.8,33l-3.6,20.5h-2L55.9,33H57.8z"/>
                        <path id="l" class="st0" d="M51.7,33l-3.6,20.5h-2L49.7,33H51.7z"/>
                        <path id="i" class="st0" d="M44.5,38.4l-2.7,15.1h-2l2.7-15.1H44.5z M43.4,33c0.3-0.3,0.8-0.4,1.2-0.4c0.3,0,0.6,0.1,0.9,0.3
                            c0.2,0.2,0.3,0.5,0.3,0.8c0,0.4-0.2,0.8-0.5,1.1c-0.3,0.3-0.7,0.5-1.2,0.5c-0.3,0-0.6-0.1-0.9-0.3c-0.2-0.2-0.3-0.5-0.3-0.8
                            C42.8,33.7,43,33.3,43.4,33z"/>
                        <path id="F" class="st0" d="M40.5,14.5L40,17.6H22.7l-2.6,14.9H35l-0.5,3H19.5l-3.2,18h-3.9l6.9-39L40.5,14.5z"/>
                    </g>
                    <g id="Courbe">

                            <linearGradient id="Courbe_2_" gradientUnits="userSpaceOnUse" x1="68.29" y1="1.54" x2="68.29" y2="60.0011" gradientTransform="matrix(1 0 0 -1 0 60)">
                            <stop  offset="0" style="stop-color:#EA5552"/>
                            <stop  offset="1" style="stop-color:#F9BA73"/>
                        </linearGradient>
                        <path id="Courbe_1_" class="st1" d="M42.2,57.5L1,57.3l6.2-1.5l8.5-50.1c0,0,12.8-10.5,30.2,0l-2.2,17.4c0,0,2.8-2.3,9.9,0.2
                            C60,25.6,64,29.7,66,29.7c8.2,1,15.4-6.4,24.7-0.8c7.8,4.8,18.7-0.2,21.1-0.4c6.6-0.4,8.7,2.2,12,4.6c5.6,4,11.7-1.5,11.8-1.3"/>
                        <path id="Pompe" class="st2" d="M155.9,23.5l-0.1,1.2l-4.8-0.9l-5.2,1.2l0.1,0.7l-1.8,0.6l1.4,2l-3.3,3.9c-1.4-0.3-2.7-1.1-3.6-2.3
                            l-3.2,3.2c0,0-1.7-1.7-1.3-2s5-4.9,5-4.9s-0.9-1.8,1.6-2.2s3.1-0.5,3.1-0.5s1.2-0.4,1.3,0.5l5.8-1.3L155.9,23.5z"/>
                        <path id="Goutte" class="st3" d="M157.6,29.8c-0.4,0.8-0.7,1.7-0.9,2.6c0,0.6,0.5,1.1,1.1,1.1l0,0c0.8,0.1,1.1-1,1.1-1.1
                            S158.9,31.8,157.6,29.8z"/>
                    </g>
                </svg>
            </div>

        <h2>100%</h2>

        </div>

    </body>

    <script>
        var goutte=document.querySelector("#Goutte")

            goutte.addEventListener("click",function() {
            target.classList.toggle("goutte_animation")
            });
    </script>


</html>
